Page MenuHomePhabricator

When deleting StructuredDiscussion content, deleted content is misattributed to the sysop that deleted it
Open, HighPublic

Subscribers
Tokens
"The World Burns" token, awarded by revi."Orange Medal" token, awarded by Billinghurst."Manufacturing Defect?" token, awarded by MarcoAurelio."Orange Medal" token, awarded by Krinkle."Love" token, awarded by Framawiki."Pterodactyl" token, awarded by Nemo_bis.
Assigned To
None
Authored By
Quiddity, Nov 6 2015

Description

This was implemented in T90973: T9. When deleting board or topic, contributions should move from Contributions to DeletedContributions but seems to have broken since then.
E.g. I Deleted these 3 topics (one, two, three), but nothing at all is showing up in the user's Contributions or their DeletedContributions.

Amended description from 2018-12-14 (UTC): When an administrator deletes Flow content, said contributions are attributed to the deleting sysop and logged in the sysop's personal DeletedContributions log. This is unlogical, causes copyright issues on edits being misatributed and most importantly, T118024#2314965 (real example: I've just deleted threats towards an editor and now those edits appear on my personal deleted contributions log, which as you can imagine, makes no sense and is unnaceptable).

Event Timeline

Quiddity created this task.Nov 6 2015, 7:37 PM
Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to Needs Triage.
Quiddity added a subscriber: Quiddity.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 6 2015, 7:37 PM
Mattflaschen-WMF renamed this task from When deleting Flow topic or post, contributions should move from Contributions to DeletedContributions to When deleting Flow topic or post, contributions should appear in DeletedContributions.Nov 6 2015, 10:51 PM
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF triaged this task as High priority.Nov 20 2015, 1:57 AM
Mattflaschen-WMF added a subscriber: Krenair.
Trizek added a subscriber: Trizek.May 21 2016, 1:28 PM

I've just deleted a Flow Topic and blocked a user for harassment with my volunteer account. Now, I can be accused of harassment by an other sysop because there is no proof of my actions: Special:DeletedContributions is blank for the blocked user.

(Fortunately, people trust me. At least, I hope. :))

Trizek removed a subscriber: Trizek.May 21 2016, 1:28 PM
Framawiki added a subscriber: Framawiki.
Krinkle added a subscriber: Krinkle.

Yes, this is problematic and makes searching deleted Flow things complicated and hard. It'd be good to have this fixed indeed. Thanks.

Wargo added a comment.Sep 22 2017, 6:59 PM

And are visible in deleted contributions of deletor. Is this intentional?

Krinkle removed a subscriber: Krinkle.Sep 22 2017, 8:44 PM
MarcoAurelio renamed this task from When deleting Flow topic or post, contributions should appear in DeletedContributions to When deleting StructuredDiscussion content, attribute the deleted content to its author nor the sysop that deleted it.Dec 14 2018, 11:47 AM
MarcoAurelio updated the task description. (Show Details)
Restricted Application added a project: Growth-Team. · View Herald TranscriptDec 14 2018, 11:47 AM
MarcoAurelio raised the priority of this task from High to Unbreak Now!.Dec 14 2018, 11:48 AM

Per my amended description above. This needs to be addressed now. I am fed up of having vandalic edits (some of them plain libel, death threats, etc.) misattributed to me because of this.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptDec 14 2018, 11:48 AM
Para32556677 lowered the priority of this task from Unbreak Now! to Lowest.Dec 23 2018, 4:59 PM
Paladox raised the priority of this task from Lowest to Unbreak Now!.Dec 23 2018, 5:04 PM
greg lowered the priority of this task from Unbreak Now! to High.Jan 3 2019, 8:04 PM
greg added a subscriber: greg.

Per my amended description above. This needs to be addressed now. I am fed up of having vandalic edits (some of them plain libel, death threats, etc.) misattributed to me because of this.

Unfortunately that's not a good reason for using UBN!, I'm setting this to High instead. I agree that it still needs to be fixed as soon as it can be.

Trijnstel added a subscriber: jrbs.Jan 9 2019, 8:34 PM

Per my amended description above. This needs to be addressed now. I am fed up of having vandalic edits (some of them plain libel, death threats, etc.) misattributed to me because of this.

Unfortunately that's not a good reason for using UBN!, I'm setting this to High instead. I agree that it still needs to be fixed as soon as it can be.

Definitely. And it's been at high priority since 2015 ... who and when will fix this?

Catrope added a subscriber: Catrope.

We're planning to address this in the coming few months, possibly later this month.

Catrope renamed this task from When deleting StructuredDiscussion content, attribute the deleted content to its author nor the sysop that deleted it to When deleting StructuredDiscussion content, deleted content is misattributed to the sysop that deleted it.Jan 11 2019, 11:43 PM

Notes for testing after the fix:

  • Deleting a Flow topic will be attributed to the person who deleted the topic
  • Deleting a Flow post - Special:DeletedContributions will display it twice - for a user who deleted it and for a post author
  • Rollback/undo will not be on Special:DeletedContributions
  • MassDelete are on Special:DeletedContributions
greg removed a subscriber: greg.Jan 24 2019, 9:10 AM
JTannerWMF moved this task from Q2 2019-20 to Q1 2019-20 on the Growth-Team board.Mar 6 2019, 7:14 PM
revi awarded a token.May 14 2019, 7:11 AM